General Announcements » Regarding the 1.6 Update

1 
Page 1 of 1
Moodh Administrator
Posted Jul 01 2013, 09:54 AM


Hello all,
 
Just a quick reminder that although Minecraft 1.6 will be released today, HCSMP will continue to run 1.5.2 until bukkit, spigot and the plugins have been updated. This may require several days to occur. If you do update to Minecraft 1.6 and want to revert back to 1.5 to play on HCSMP, you can download the old binary from mojang at: http://assets.minecraft.net/1_5_2/minecraft.jar
 
We will formally announce when we're ready to update to 1.6. The update will likely occur on one of our scheduled restarts.

klaazjan Player
Posted Jul 01 2013, 10:26 AM

Downloading the 1.5.2 jar isn't even needed, since it is provided in the new launcher under 'profile editor'. ;)

Moodh Administrator
Posted Jul 02 2013, 02:26 AM

I'm just writing what cbarber told me to!

klaazjan Player
Posted Jul 02 2013, 07:06 AM

Damn him! Giving you incorrect information and stuff...

Posted Jul 03 2013, 05:24 AM

Haha Lowl

cbarber Player
Posted Jul 04 2013, 07:28 PM

Quote from klaazjan:

Damn him! Giving you incorrect information and stuff...

The 1.6 Mojang launcher does not work correctly with modloader and most of the plugins recommended on our wiki (last I tested). So if someone wanted to revert to 1.5 and use their 1.5 compatible plugins, they would still need the old jar.

Guagonas Player
Posted Jul 05 2013, 02:11 AM | Edited 1 time, last by Guagonas

Hi cbarber, I updated the launcher and I was able to install the plugins recomennded on the wiki. Actually, it works better than before, I must say. Basically what you can do is specify a new "version" and call it "1.5.2 Modloader" for example, and then configure that in a new profile.

There are some instructions in the Modloader topic for 1.6.1, and they actually work with 1.5.2 through the 1.6.1 launcher as well:
http://www.minecraftforum.net/topic/75440-v161-risugamis-mods-updated/

I find this very convenient, because now I can launch an unmodded 1.5.2 as wel as a modded 1.5.2 through the same launcher. :)

Small edit to clarify: you can select 1.5.2 as a version which will then be downloaded to "%appdata%/.minecraft/versions/1.5.2/".

cbarber Player
Posted Jul 05 2013, 03:50 PM

My attempt was a couple days ago, so there might have been new versions released that addressed compatibility issues.

If you find the new launcher to be an improvement, you should try magiclauncher which has had profiles for a long time and allows you to control the order of plugin loading.

Guagonas Player
Posted Jul 06 2013, 05:18 AM

Ah, ok! I did not actually know there were other launchers as well. I will have a look, sounds promising. Thanks!

1 
Page 1 of 1